package basicClass;

import java.io.Serializable;


public class Message implements Serializable{
	private int msid;
	private User publisher;
	private Event event;
	private String content;
	private String photo_path;
	
	public int getMsid() {return msid;}
	public User getPublisher() {return publisher;}
	public Event getEvent() {return event;}
	public String getContent() {return content;}
	public String getPhotoPath() {return photo_path;}
	
	public void setMsid(int id) {this.msid = msid;}
	public void setPublisher(User user) {this.publisher = user;}
	public void setEvent(Event event) {this.event = event;}
	public void setContent(String c) {this.content = c;}
	public void setPhotoPath(String path) {this.photo_path = path;}
	
}
